<!--begin::Brand-->
<div class="brand flex-column-auto" id="kt_brand" [ngClass]="brandClasses">
  <!--begin::Logo-->
  <a routerLink="/" class="brand-logo">
    <img alt="Logo" [attr.src]="headerLogo" />
  </a>
  <!--end::Logo-->

  <ng-container *ngIf="asideSelfMinimizeToggle">
    <button class="brand-toggle btn btn-sm px-0" id="kt_aside_toggle">
      <span
        [inlineSVG]="
          './assets/media/svg/icons/Navigation/Angle-double-left.svg'
        "
        cacheSVG="true"
        class="svg-icon svg-icon-xl"
      ></span>
    </button>
  </ng-container>
</div>
<!--end::Brand-->

<!--begin::Aside Menu-->
<div class="aside-menu-wrapper flex-column-fluid" id="kt_aside_menu_wrapper">
  <ng-container *ngIf="disableAsideSelfDisplay">
    <!--begin::Header Logo-->
    <a routerLink="/">
      <img alt="Logo" [attr.src]="headerLogo" />
    </a>
    <!--end::Header Logo-->
  </ng-container>
  <!--begin::Menu Container-->
  <div
    id="kt_aside_menu"
    class="aside-menu"
    [ngClass]="asideMenuCSSClasses"
    data-menu-vertical="1"
    [attr.data-menu-scroll]="asideMenuScroll"
    [attr.data-menu-dropdown]="asideMenuDropdown"
    data-menu-dropdown-timeout="500"
  >
    <!-- begin::Menu Nav -->
    <ul class="menu-nav" [ngClass]="ulCSSClasses">

          <!-- begin::1 Level -->
          <li
          class="menu-item"
          aria-haspopup="true"
          routerLinkActive="menu-item-active"
          >
        <a class="menu-link" routerLink="/personal-data" routerLinkActive="active">
        <span
              [inlineSVG]="'./assets/media/svg/icons/General/User.svg'"
              cacheSVG="true"
              class="svg-icon menu-icon"
        ></span>
        <span class="menu-text">Personal Data</span>
        </a>
        </li>
        <!-- end::1 Level -->
        <!-- begin::1 Level -->
          <li
          class="menu-item"
          aria-haspopup="true"
          routerLinkActive="menu-item-active"
          >
        <a class="menu-link" routerLink="/location-patterns" routerLinkActive="active">
        <span
              [inlineSVG]="'./assets/media/svg/icons/Map/Marker1.svg'"
              cacheSVG="true"
              class="svg-icon menu-icon"
        ></span>
        <span class="menu-text">Location Patterns</span>
        </a>
        </li>
        <!-- end::1 Level -->
        <!-- begin::1 Level -->
        <li
        class="menu-item"
        aria-haspopup="true"
        routerLinkActive="menu-item-active"
        >
      <a class="menu-link" routerLink="/behavioural-analysis" routerLinkActive="active">
      <span
            [inlineSVG]="'./assets/media/svg/icons/General/mind.svg'"
            cacheSVG="true"
            class="svg-icon menu-icon"
      ></span>
      <span class="menu-text">Behavioural Analysis</span>
      </a>
      </li>
      <!-- end::1 Level -->
        <!-- begin::1 Level -->
        <li
        class="menu-item"
        aria-haspopup="true"
        routerLinkActive="menu-item-active"
        >

        <!-- VISUALIZE DATASETS START -->
      <!-- <a class="menu-link" routerLink="/visualize-datasets" routerLinkActive="active">
      <span
            [inlineSVG]="'./assets/media/svg/icons/Shopping/Chart-bar1.svg'"
            cacheSVG="true"
            class="svg-icon menu-icon"
      ></span>
      <span class="menu-text">Visualize Datasets</span>
      </a> -->

      <!-- VISUALIZE DATASETS END -->
      </li>
      <!-- end::1 Level -->
            
      <!-- begin::1 Level -->
      <!-- <li
        class="menu-item"
        aria-haspopup="true"
        routerLinkActive="menu-item-active"
      >
        <a class="menu-link" routerLink="/builder" routerLinkActive="active">
          <span
            [inlineSVG]="'./assets/media/svg/icons/Home/Library.svg'"
            cacheSVG="true"
            class="svg-icon menu-icon"
          ></span>
          <span class="menu-text">Layout Builder</span>
        </a>
      </li> -->
      <!-- end::1 Level -->

      <!-- end:: section -->
    </ul>
    <!-- end::Menu Nav -->
  </div>
  <!--end::Menu Container-->
</div>
<!--end::Aside Menu-->
